{*******************************************************************************
   Ttulo: CCalculoForaDoEstado
Descrio: Classe que contem as expecificaes para o calculo dos impostos
           para notas emitidas para exportao.
           Exerce o papel de Concrete Strategy dentro do
           Padro Strategy.
    Autor: David Pagliotto
  Contato: david_pagliotto@hotmail.com
*******************************************************************************}

unit CCalculoExportacao;

interface

uses
  Forms, Windows,
  ICalculoImposto;

type
  TCalculoExportacao = class(TICalculoImposto)
  published
    procedure CalcularImposto(); override;
end;

implementation

procedure TCalculoExportacao.CalcularImposto();
begin
  Application.MessageBox('Calculo de imposto sobre Nota Fiscal emitida para Exportao (EX).',
                         '..:: Informao ::..', MB_ICONINFORMATION + MB_OK);
end;

end.


