unit UntNotaFiscalSaida;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,
  CNotaFiscalSaida;

type
  TfrmNotaFiscalSaida = class(TForm)
    cmbTipoNotaFiscalSaida: TComboBox;
    lblTipoNotaFiscalSaida: TLabel;
    btnCalcularImposto: TButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnCalcularImpostoClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmNotaFiscalSaida: TfrmNotaFiscalSaida;

implementation

{$R *.dfm}

procedure TfrmNotaFiscalSaida.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree;
  Application.Terminate;
end;

procedure TfrmNotaFiscalSaida.btnCalcularImpostoClick(Sender: TObject);
var
  objNotaFiscalSaida: TNotaFiscalSaida;
begin
  try
    objNotaFiscalSaida := TNotaFiscalSaida.Create;

    case (cmbTipoNotaFiscalSaida.ItemIndex) of
      0 : objNotaFiscalSaida.TipoNotaFiscalSaida := 'EX';
      1 : objNotaFiscalSaida.TipoNotaFiscalSaida := 'DE';
      2 : objNotaFiscalSaida.TipoNotaFiscalSaida := 'FE';
    end;

    objNotaFiscalSaida.ExecutaCalculoImposto();
  finally
    FreeAndNil(objNotaFiscalSaida);
  end;
end;

end.

