{*******************************************************************************
   Ttulo: CCalculoDentroDoEstado
Descrio: Classe que contem as expecificaes para o calculo dos impostos
           para notas emitidas para dentro do estado.
           Exerce o papel de Concrete Strategy dentro do
           Padro Strategy.
    Autor: David Pagliotto
  Contato: david_pagliotto@hotmail.com
*******************************************************************************}

unit CCalculoDentroDoEstado;

interface

uses
  Forms, Windows,
  ICalculoImposto;

type
  TCalculoDentroDoEstado = class(TICalculoImposto)
  published
    procedure CalcularImposto(); override;
end;

implementation

procedure TCalculoDentroDoEstado.CalcularImposto();
begin
  Application.MessageBox('Calculo de imposto sobre Nota Fiscal emitida para Dentro do Estado (DE).',
                         '..:: Informao ::..', MB_ICONINFORMATION + MB_OK);
end;

end.

